package cn.hmsoft.weixin.data.model;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Map;

import cn.hmsoft.jdbc.entity.Table;
import cn.hmsoft.weixin.constants.WxSeqName;

/**********************************************
* 微信模板消息
* @author: Zhang XiaoQing
* @date: 2017-08-12 19:49:26
* @version: 4.0.0
* @email: revisit@126.com
* @Company: www.hmsoft.cn
*/
@Table(tableName = "WX_TEMPLATE", keyColumn =  "TEMPLATE_ID" , sequenceName = WxSeqName.WxTemplateId)
public class WxTemplate implements Serializable{
	private static final long serialVersionUID = -5839354271249787387L;
	//内部编号
	private Integer template_id;
	//微信编号
	private Integer wx_id;
	//模板名称
	private String template_name;
	//模板备注
	private String template_note;
	//模板状态
	private String template_status;
	//模板对应公众号的code
	private String template_code;
	//对应的业务
	private String business_type;
	//顶部标题栏颜色
	private String top_color;
	//模板跳转的URL
	private String template_url;
	//首栏字符串
	private String content_value;
	//首栏颜色
	private String content_color;
	//标题1字符串
	private String keyword1_value;
	//标题1颜色
	private String keyword1_color;
	//标题2字符串
	private String keyword2_value;
	//标题2颜色
	private String keyword2_color;
	//标题3字符串
	private String keyword3_value;
	//标题3颜色
	private String keyword3_color;
	//标题4字符串
	private String keyword4_value;
	//标题4颜色
	private String keyword4_color;
	//标题5字符串
	private String keyword5_value;
	//标题5颜色
	private String keyword5_color;
	//备注字符串
	private String remark_value;
	//备注颜色
	private String remark_color;
	//修改时间
	private LocalDateTime modify_time;
	//模板官方号码
	private String template_value;
	//模板标题
	private String title_note;
	//关键字1标题
	private String keyword1_note;
	//关键字2标题
	private String keyword2_note;
	//关键字3标题
	private String keyword3_note;
	//关键字4标题
	private String keyword4_note;
	//关键字5标题
	private String keyword5_note;
	//同步时间
	private LocalDateTime sync_time;
	//模版例子
	private String template_example;

	//关键字1名称
	private String keyword1_name;
	//关键字2名称
	private String keyword2_name;
	//关键字3名称
	private String keyword3_name;
	//关键字4名称
	private String keyword4_name;
	//关键字5名称
	private String keyword5_name;
	
	/****
	 * 内部编号
	 */
	public Integer getTemplate_id() {
		return this.template_id;
	}

	/****
	 * 内部编号
	 */
	public void setTemplate_id(Integer template_id) {
		this.template_id = template_id;
	}

	/****
	 * 微信编号
	 */
	public Integer getWx_id() {
		return this.wx_id;
	}

	/****
	 * 微信编号
	 */
	public void setWx_id(Integer wx_id) {
		this.wx_id = wx_id;
	}

	/****
	 * 模板名称
	 */
	public String getTemplate_name() {
		return this.template_name;
	}

	/****
	 * 模板名称
	 */
	public void setTemplate_name(String template_name) {
		this.template_name = template_name;
	}

	/****
	 * 模板备注
	 */
	public String getTemplate_note() {
		return this.template_note;
	}

	/****
	 * 模板备注
	 */
	public void setTemplate_note(String template_note) {
		this.template_note = template_note;
	}

	/****
	 * 模板状态
	 */
	public String getTemplate_status() {
		return this.template_status;
	}

	/****
	 * 模板状态
	 */
	public void setTemplate_status(String template_status) {
		this.template_status = template_status;
	}

	/****
	 * 模板对应公众号的code
	 */
	public String getTemplate_code() {
		return this.template_code;
	}

	/****
	 * 模板对应公众号的code
	 */
	public void setTemplate_code(String template_code) {
		this.template_code = template_code;
	}

	/****
	 * 对应的业务
	 */
	public String getBusiness_type() {
		return this.business_type;
	}

	/****
	 * 对应的业务
	 */
	public void setBusiness_type(String business_type) {
		this.business_type = business_type;
	}

	/****
	 * 顶部标题栏颜色
	 */
	public String getTop_color() {
		return this.top_color;
	}

	/****
	 * 顶部标题栏颜色
	 */
	public void setTop_color(String top_color) {
		this.top_color = top_color;
	}

	/****
	 * 模板跳转的URL
	 */
	public String getTemplate_url() {
		return this.template_url;
	}

	/****
	 * 模板跳转的URL
	 */
	public void setTemplate_url(String template_url) {
		this.template_url = template_url;
	}

	/****
	 * 首栏字符串
	 */
	public String getContent_value() {
		return this.content_value;
	}

	/****
	 * 首栏字符串
	 */
	public void setContent_value(String content_value) {
		this.content_value = content_value;
	}

	/****
	 * 首栏颜色
	 */
	public String getContent_color() {
		return this.content_color;
	}

	/****
	 * 首栏颜色
	 */
	public void setContent_color(String content_color) {
		this.content_color = content_color;
	}

	/****
	 * 标题1字符串
	 */
	public String getKeyword1_value() {
		return this.keyword1_value;
	}

	/****
	 * 标题1字符串
	 */
	public void setKeyword1_value(String keyword1_value) {
		this.keyword1_value = keyword1_value;
	}

	/****
	 * 标题1颜色
	 */
	public String getKeyword1_color() {
		return this.keyword1_color;
	}

	/****
	 * 标题1颜色
	 */
	public void setKeyword1_color(String keyword1_color) {
		this.keyword1_color = keyword1_color;
	}

	/****
	 * 标题2字符串
	 */
	public String getKeyword2_value() {
		return this.keyword2_value;
	}

	/****
	 * 标题2字符串
	 */
	public void setKeyword2_value(String keyword2_value) {
		this.keyword2_value = keyword2_value;
	}

	/****
	 * 标题2颜色
	 */
	public String getKeyword2_color() {
		return this.keyword2_color;
	}

	/****
	 * 标题2颜色
	 */
	public void setKeyword2_color(String keyword2_color) {
		this.keyword2_color = keyword2_color;
	}

	/****
	 * 标题3字符串
	 */
	public String getKeyword3_value() {
		return this.keyword3_value;
	}

	/****
	 * 标题3字符串
	 */
	public void setKeyword3_value(String keyword3_value) {
		this.keyword3_value = keyword3_value;
	}

	/****
	 * 标题3颜色
	 */
	public String getKeyword3_color() {
		return this.keyword3_color;
	}

	/****
	 * 标题3颜色
	 */
	public void setKeyword3_color(String keyword3_color) {
		this.keyword3_color = keyword3_color;
	}

	/****
	 * 标题4字符串
	 */
	public String getKeyword4_value() {
		return this.keyword4_value;
	}

	/****
	 * 标题4字符串
	 */
	public void setKeyword4_value(String keyword4_value) {
		this.keyword4_value = keyword4_value;
	}

	/****
	 * 标题4颜色
	 */
	public String getKeyword4_color() {
		return this.keyword4_color;
	}

	/****
	 * 标题4颜色
	 */
	public void setKeyword4_color(String keyword4_color) {
		this.keyword4_color = keyword4_color;
	}

	/****
	 * 标题5字符串
	 */
	public String getKeyword5_value() {
		return this.keyword5_value;
	}

	/****
	 * 标题5字符串
	 */
	public void setKeyword5_value(String keyword5_value) {
		this.keyword5_value = keyword5_value;
	}

	/****
	 * 标题5颜色
	 */
	public String getKeyword5_color() {
		return this.keyword5_color;
	}

	/****
	 * 标题5颜色
	 */
	public void setKeyword5_color(String keyword5_color) {
		this.keyword5_color = keyword5_color;
	}

	/****
	 * 备注字符串
	 */
	public String getRemark_value() {
		return this.remark_value;
	}

	/****
	 * 备注字符串
	 */
	public void setRemark_value(String remark_value) {
		this.remark_value = remark_value;
	}

	/****
	 * 备注颜色
	 */
	public String getRemark_color() {
		return this.remark_color;
	}

	/****
	 * 备注颜色
	 */
	public void setRemark_color(String remark_color) {
		this.remark_color = remark_color;
	}

	/****
	 * 修改时间
	 */
	public LocalDateTime getModify_time() {
		return this.modify_time;
	}

	/****
	 * 修改时间
	 */
	public void setModify_time(LocalDateTime modify_time) {
		this.modify_time = modify_time;
	}

	/****
	 * 模板官方号码
	 */
	public String getTemplate_value() {
		return this.template_value;
	}

	/****
	 * 模板官方号码
	 */
	public void setTemplate_value(String template_value) {
		this.template_value = template_value;
	}

	/****
	 * 模板标题
	 */
	public String getTitle_note() {
		return this.title_note;
	}

	/****
	 * 模板标题
	 */
	public void setTitle_note(String title_note) {
		this.title_note = title_note;
	}

	/****
	 * 关键字1标题
	 */
	public String getKeyword1_note() {
		return this.keyword1_note;
	}

	/****
	 * 关键字1标题
	 */
	public void setKeyword1_note(String keyword1_note) {
		this.keyword1_note = keyword1_note;
	}

	/****
	 * 关键字2标题
	 */
	public String getKeyword2_note() {
		return this.keyword2_note;
	}

	/****
	 * 关键字2标题
	 */
	public void setKeyword2_note(String keyword2_note) {
		this.keyword2_note = keyword2_note;
	}

	/****
	 * 关键字3标题
	 */
	public String getKeyword3_note() {
		return this.keyword3_note;
	}

	/****
	 * 关键字3标题
	 */
	public void setKeyword3_note(String keyword3_note) {
		this.keyword3_note = keyword3_note;
	}

	/****
	 * 关键字4标题
	 */
	public String getKeyword4_note() {
		return this.keyword4_note;
	}

	/****
	 * 关键字4标题
	 */
	public void setKeyword4_note(String keyword4_note) {
		this.keyword4_note = keyword4_note;
	}

	/****
	 * 关键字5标题
	 */
	public String getKeyword5_note() {
		return this.keyword5_note;
	}

	/****
	 * 关键字5标题
	 */
	public void setKeyword5_note(String keyword5_note) {
		this.keyword5_note = keyword5_note;
	}

	/****
	 * 同步时间
	 */
	public LocalDateTime getSync_time() {
		return this.sync_time;
	}

	/****
	 * 同步时间
	 */
	public void setSync_time(LocalDateTime sync_time) {
		this.sync_time = sync_time;
	}

	/****
	 * 模版例子
	 */
	public String getTemplate_example() {
		return this.template_example;
	}

	/****
	 * 模版例子
	 */
	public void setTemplate_example(String template_example) {
		this.template_example = template_example;
	}

	
	protected transient Map<String,String> templateUrlMap;
	protected transient Map<String,String> firstValueMap;
	protected transient Map<String,String> keyword1ValueMap;
	protected transient Map<String,String> keyword2ValueMap;
	protected transient Map<String,String> keyword3ValueMap;
	protected transient Map<String,String> keyword4ValueMap;
	protected transient Map<String,String> keyword5ValueMap;
	protected transient Map<String,String> remarkValueMap;

	public Map<String, String> getTemplateUrlMap() {
		return templateUrlMap;
	}

	public void setTemplateUrlMap(Map<String, String> templateUrlMap) {
		this.templateUrlMap = templateUrlMap;
	}

	public Map<String, String> getFirstValueMap() {
		return firstValueMap;
	}

	public void setFirstValueMap(Map<String, String> firstValueMap) {
		this.firstValueMap = firstValueMap;
	}

	public Map<String, String> getKeyword1ValueMap() {
		return keyword1ValueMap;
	}

	public void setKeyword1ValueMap(Map<String, String> keyword1ValueMap) {
		this.keyword1ValueMap = keyword1ValueMap;
	}

	public Map<String, String> getKeyword2ValueMap() {
		return keyword2ValueMap;
	}

	public void setKeyword2ValueMap(Map<String, String> keyword2ValueMap) {
		this.keyword2ValueMap = keyword2ValueMap;
	}

	public Map<String, String> getKeyword3ValueMap() {
		return keyword3ValueMap;
	}

	public void setKeyword3ValueMap(Map<String, String> keyword3ValueMap) {
		this.keyword3ValueMap = keyword3ValueMap;
	}

	public Map<String, String> getKeyword4ValueMap() {
		return keyword4ValueMap;
	}

	public void setKeyword4ValueMap(Map<String, String> keyword4ValueMap) {
		this.keyword4ValueMap = keyword4ValueMap;
	}

	public Map<String, String> getKeyword5ValueMap() {
		return keyword5ValueMap;
	}

	public void setKeyword5ValueMap(Map<String, String> keyword5ValueMap) {
		this.keyword5ValueMap = keyword5ValueMap;
	}

	public Map<String, String> getRemarkValueMap() {
		return remarkValueMap;
	}

	public void setRemarkValueMap(Map<String, String> remarkValueMap) {
		this.remarkValueMap = remarkValueMap;
	}

	public String getKeyword1_name() {
		return keyword1_name;
	}

	public void setKeyword1_name(String keyword1_name) {
		this.keyword1_name = keyword1_name;
	}

	public String getKeyword2_name() {
		return keyword2_name;
	}

	public void setKeyword2_name(String keyword2_name) {
		this.keyword2_name = keyword2_name;
	}

	public String getKeyword3_name() {
		return keyword3_name;
	}

	public void setKeyword3_name(String keyword3_name) {
		this.keyword3_name = keyword3_name;
	}

	public String getKeyword4_name() {
		return keyword4_name;
	}

	public void setKeyword4_name(String keyword4_name) {
		this.keyword4_name = keyword4_name;
	}

	public String getKeyword5_name() {
		return keyword5_name;
	}

	public void setKeyword5_name(String keyword5_name) {
		this.keyword5_name = keyword5_name;
	}

	

}